If you are having problems with applications which use liveconnect, you may find it helpful to know that there are some issues with certain updates of Java 1.6 and Liveconnect. I’ve found that sometimes installing early access update 10 fixes the problems. This issue came up because our Docent 6.5 LMS uses Java as the SCORM API adaptor and the learning modules stopped connecting to the LMS in some cases because of this problem.

Early access update 10 is available here

Scroll to the very bottom of the page to the “Download” section and download either the online or offline installer.

A discussion on Java 1.6 and LiveConnect is here